Qt 5.6 | Qt Canvas 3D | QML Types | Canvas3DShaderPrecisionFormat QML Type

Qt 5.6.2 Reference Documentation

# Canvas3DShaderPrecisionFormat QML Type

Contains the shader precision format attributes. More...

Import Statement: | import QtCanvas3D 1.1
Since: | QtCanvas3D 1.0

- List of all members, including inherited members

## Properties

- precision : int
- rangeMax : int
- rangeMin : int

## Detailed Description

An uncreatable QML type that contains the information returned from the Context3D::getShaderPrecisionFormat() call.

See also Context3D.

## Property Documentation

precision : int

The number of bits of precision that can be represented. 0 for integer formats.

rangeMax : int

The base 2 log of the absolute value of the maximum value that can be represented.

rangeMin : int

The base 2 log of the absolute value of the minimum value that can be represented.